/****************************************************************************
 *
 *	File Name:		DBGGLBL.C
 *	Description:	Platform Independent Debug/Assertion Library.
 *	Version:		v 1.00
 *	Author:			TPS Engineering Staff
 *	Date:			9/21/94
 *
 *	Copyright (C) 1994-1996 by Turning Point Software, Inc. All Rights Reserved.
 *
 ****************************************************************************
 */

#include "tpsdefs.h"
#include "StackCra.h"
#include "dbgglbl.h"

/*---------------------------------------------------------------------------
 * PLATFORM-DEPENDENT GLOBAL VARIABLES
 *---------------------------------------------------------------------------
 */

#if   defined( MAC )

#elif defined( WIN )

//
//
//
uLONG		g_tdb_DebugFlags;
HWND		g_tdb_hwndApp		= NULL;
HINSTANCE	g_tdb_hinstApp		= NULL;
HGLOBAL		g_tdb_hStackData	= NULL;

//
// temporary output buffer used by _DebugPrintf
//
char	_tdb_szAssertBuf[ CBASSERTBUF ];

#else

#error	"MAC, WIN not specified"

#endif	//	MAC, WIN, or DOS


/*---------------------------------------------------------------------------
 * CROSS-PLATFORM GLOBAL VARIABLES
 *---------------------------------------------------------------------------
 */

uLONG		g_tdb_ulFlags		= (uLONG) 0;
uLONG		g_tdb_ulInitialized	= (uLONG) 0;
HSYMLIST	g_tdb_hSymList		= (HSYMLIST) NULL;




