// Filename: variable.cpp      This file contains the methods for the variables class.

#include <string.h>
#include <iostream.h>
#include "variable.h"

// Constructor.

Variable::Variable(void)
{
    for (int i = 0; i < MAX_VAR; i++)
    {
        variables[i] = 0;
    }
}


// This method will display the values of the variables.

void Variable::show_variables(void)
{

    cout << "Final variable values" << endl;
    cout << "---------------------" << endl;
    cout << "A: " << variables[0] << endl;
    cout << "B: " << variables[1] << endl;
    cout << "C: " << variables[2] << endl;
    cout << "D: " << variables[3] << endl;
    cout << "E: " << variables[4] << endl;
    cout << "F: " << variables[5] << endl;
    cout << "G: " << variables[6] << endl;
    cout << "H: " << variables[7] << endl;
    cout << "I: " << variables[8] << endl;
    cout << "J: " << variables[9] << endl;
}    


// This method will return TRUE if the character is a valid variable, otherwise it will
// return FALSE.

int Variable::is_variable(char *ch)
{
    if ((*ch >= 'A') && (*ch <= 'J') && (strlen(ch) == 1))
    {
        return TRUE;
    }
    else
    {
        return FALSE;
    }
}


// This method gets or sets the value of a variable.

int &Variable::operator[](int value)
{
    return(variables[value - ASCII_NUMBER]);
}


