/****************************************************************************
 *
 *	File Name:		DBGDLG.H
 *	Description:	Header file for debug dialog.
 *	Version:		v 1.00
 *	Author:			TPS Engineering Staff
 *	Date:			7/11/1994
 *
 *	Copyright (C) 1994-1996 by Turning Point Software, Inc. All Rights Reserved.
 *
 ****************************************************************************
 */

#ifndef _DBGDLG_H_
#define _DBGDLG_H_

/*
 * Constants
 */
#define ID_OK				100
#define ID_TERMINATE		101
#define ID_DEBUGGER			102
#define ID_DISABLEASSERTS	103
#define ID_DISPLAYASHEX		104

/*
 * Prototypes
 */
TDBAPI(BOOLEAN)	_tdb_InitAssertDlg( DEBUGPARMS FAR* lpvPlatformParms, uLONG ulSystemFlags );
TDBAPI(VOID)	_tdb_DeinitAssertDlg( VOID );
TDBAPI(int)		_tdb_DoAssertDlg( LPSZ lpszTest, LPSZ lpszReason, LPSZ lpszFilename,
							uLONG ulLineNo, uLONG ulCount, LPVOID lpvData, uLONG ulFormat );

#endif /* DBGDLG_H_ */
