/****************************************************************************
 *
 *	File Name:		DBGGLBL.H
 *	Description:	TPS Debug/Assertion Manager global data declarations.
 *	Version:		v 1.00
 *	Author:			TPS Engineering Staff
 *	Date:			2/22/95
 *
 *	Copyright (C) 1994-1996 by Turning Point Software, Inc. All Rights Reserved.
 *
 ****************************************************************************
 */

#ifndef	_DBGGLBL_H_
#define	_DBGGLBL_H_

#include "tpsdefs.h"
#include "stackcra.h"

#define	CBASSERTBUF		1024

/*---------------------------------------------------------------------------
 * PLATFORM-DEPENDENT GLOBAL VARIABLES
 *---------------------------------------------------------------------------
 */

#if   defined( MAC )

#elif defined( WIN )

	//
	// Miscellaneous globals.
	//
	uLONG		g_tdb_DebugFlags;
	HWND		g_tdb_hwndApp;
	HINSTANCE	g_tdb_hinstApp;
	HGLOBAL		g_tdb_hStackData;
	//
	// Temporary output buffer used by _DebugPrintf (and other routines).
	//
	char		g_tdb_szAssertBuf[ CBASSERTBUF ];

#elif defined( DOS )

#endif	//	MAC, WIN, or DOS


/*---------------------------------------------------------------------------
 * CROSS-PLATFORM GLOBAL VARIABLES
 *---------------------------------------------------------------------------
 */

extern uLONG	g_tdb_ulFlags;
extern uLONG	g_tdb_ulInitialized;
extern HSYMLIST	g_tdb_hSymList;

#endif	//_DBGGLBL_H_


