// Filename: iterator.cpp      This file contains the methods for the iterator class.

#include "iterator.h"

// Constructor.

Iterator::Iterator(Loop *l)
{
    lp = l;
    cursor = lp->get_start();
}


// This method returns the current element of the list, and advances to the next.

Instruction* Iterator::operator++(int)
{
    Instruction *p = cursor;
    if (cursor)
    {
        cursor = cursor->get_next();
    }
    return p;
}


// This method sets the cursor to the particular element.

void Iterator::operator=(int i)
{
    if (!i)
    {
        cursor = lp->get_start();
    }
    else
    {
        for (int j = 0; j < i; j++)
        {
            operator++(1);
        }
    }
}


