// Filename: iterator.h    This file contains the declarations for the iterator class.

#ifndef _iterator_h
#define _iterator_h

#include "instruct.h"

#define FALSE  0
#define TRUE   1

// Iterator is the class declaration for the iterator.

class Iterator {
    public:
        Iterator (Loop *l);                        // Constructor
        Instruction* operator++(int);              // Returns the current element and advances to the next
        void operator=(int i);                     // Sets the cursor to the particular element
    private:
        Loop *lp;                                  // List that is being traversed
        Instruction *cursor;                       // Current position of cursor in list
};

#endif