// Filename: parser.h    This file contains the declarations for the parser class.

#ifndef _parser_h
#define _parser_h

#include "input.h"
#include "variable.h"
#include "instruct.h"

#define FALSE  0
#define TRUE   1

// Parser is the class declaration for the parser.

class Parser {
    public:
        Parser (void);                                            // Constructor
        void parse_input(void);                                   // Parses input
    private:
        char statement[MAX_INPUT];                                // Statement to parse
};

#endif