// Filename: variable.h    This file contains the declarations for the variable class.

#ifndef _variable_h
#define _variable_h

#define MAX_VAR      10
#define ASCII_NUMBER 65

#define FALSE       0
#define TRUE        1

// Variable is the class declaration for the variables

class Variable {
    public:
        Variable (void);                                // Constructor
        void show_variables(void);                      // Displays the values of the variables
        int is_variable(char *ch);                      // Checks to see if the character is a valid variable.
        int &operator[](int i);                         // Gets and sets the variable array
    private:
        int variables[MAX_VAR];                         // Variable array
};

#endif